Package org.eclipse.ui.views.properties.tabbed

## Class AbstractPropertySection

- java.lang.Object
- - org.eclipse.ui.views.properties.tabbed.AbstractPropertySection

All Implemented Interfaces:
  `ISection`

Direct Known Subclasses:
  `AbstractOverridableTabListPropertySection`, `AdvancedPropertySection`

    public abstract class AbstractPropertySection
    extends Object
    implements ISection

An abstract implementation of a section in a tab in the tabbed property sheet page.

### Field Summary

Fields
`static int` `STANDARD_LABEL_WIDTH` The standard label width when labels for sections line up on the left hand side of the composite.

### Constructor Summary

Constructors
`AbstractPropertySection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` Notifies the section that its controls are about to be hidden.
`void` `aboutToBeShown()` Notifies the section that its controls are about to be shown.
`void` `createControls​(Composite parent, TabbedPropertySheetPage aTabbedPropertySheetPage)` Creates the controls for the section.
`void` `dispose()` Dispose this section.
`int` `getMinimumHeight()` Returns the minimum height needed by this section.
`IWorkbenchPart` `getPart()`
`ISelection` `getSelection()` Get the current workbench selection.
`TabbedPropertySheetWidgetFactory` `getWidgetFactory()` Get the widget factory for the property sheet page.
`void` `refresh()` Refresh the contents of the controls displayed in this section.
`void` `setInput​(IWorkbenchPart part, ISelection selection)` Notifies the section that the workbench selection has changed.
`boolean` `shouldUseExtraSpace()` Determine whether this section would like extra height space in case there is some left.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STANDARD_LABEL_WIDTH

    public static final int STANDARD_LABEL_WIDTH

The standard label width when labels for sections line up on the left hand side of the composite.

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractPropertySection

    public AbstractPropertySection()

### Method Detail

#### getWidgetFactory

    public TabbedPropertySheetWidgetFactory getWidgetFactory()

Get the widget factory for the property sheet page.

Returns:
  the widget factory.

#### getSelection

    public ISelection getSelection()

Get the current workbench selection.

Returns:
  the current workbench selection.

#### getPart

    public IWorkbenchPart getPart()

Returns:
  Returns the part.

#### createControls

    public void createControls​(Composite parent,
                               TabbedPropertySheetPage aTabbedPropertySheetPage)

Description copied from interface: `ISection`
Creates the controls for the section.

Clients should take advantage of the widget factory provided by the framework to achieve a common look between property sections.

Specified by:
  `createControls` in interface `ISection`
Parameters:
  `parent` - the parent composite for the section.
  `aTabbedPropertySheetPage` - the tabbed property sheet page.
See Also:
  `TabbedPropertySheetPage.getWidgetFactory()`

#### setInput

    public void setInput​(IWorkbenchPart part,
                         ISelection selection)

Description copied from interface: `ISection`
Notifies the section that the workbench selection has changed.

Specified by:
  `setInput` in interface `ISection`
Parameters:
  `part` - The active workbench part.
  `selection` - The active selection in the workbench part.

#### aboutToBeShown

    public void aboutToBeShown()

Description copied from interface: `ISection`
Notifies the section that its controls are about to be shown. It is expected that sections enable domain related functions in this method, most commonly add listeners.

Since the controls are not visible, the section should wait for the refresh() before updating the section controls.

Specified by:
  `aboutToBeShown` in interface `ISection`

#### aboutToBeHidden

    public void aboutToBeHidden()

Description copied from interface: `ISection`
Notifies the section that its controls are about to be hidden. It is expected that sections disable domain related functions in this method, most commonly remove listeners.

Specified by:
  `aboutToBeHidden` in interface `ISection`

#### dispose

    public void dispose()

Description copied from interface: `ISection`
Dispose this section.

Specified by:
  `dispose` in interface `ISection`

#### getMinimumHeight

    public int getMinimumHeight()

Description copied from interface: `ISection`
Returns the minimum height needed by this section. A return value of `SWT.DEFAULT` indicates that no minimum height is defined.

Specified by:
  `getMinimumHeight` in interface `ISection`
Returns:
  the minimum height needed by this section.

#### shouldUseExtraSpace

    public boolean shouldUseExtraSpace()

Description copied from interface: `ISection`
Determine whether this section would like extra height space in case there is some left. Normally this is true when the section is the last to be displayed on a tab or is the only section on a tab.

Specified by:
  `shouldUseExtraSpace` in interface `ISection`
Returns:
  `true` if this section would like extra height space.

#### refresh

    public void refresh()

Description copied from interface: `ISection`
Refresh the contents of the controls displayed in this section.

Specified by:
  `refresh` in interface `ISection`